<?php


$title = 'Создать клан';    
$cost = 1000;

include_once 'protected/sys.php';



  
$name = htmlspecialchars($_POST['name']);
$name = htmlspecialchars($name);

  if($name && $user['gold'] >= $cost) {
    $clans = $db->query('SELECT * FROM `clans` WHERE `name` = "'.$name.'"');
    $clans = mysql_fetch_array($clans);
  
  if(!$clans) {
    $db->query('UPDATE `users` SET `gold` = "'.($user['gold'] - $cost).'" WHERE `id` = "'.$user['id'].'"');

  $db->query('INSERT INTO `clans` (`name`,`r`,`day`,`mounth`,`year`) VALUES ("'.$name.'", "'.$user['r'].'", "'.date('d').'", "'.date('m').'", "'.date('y').'")')or die(mysql_error());
   $clan_id = mysql_insert_id();
  
  $db->query('INSERT INTO `clan_memb` (`clan`,`user`,`rank`, `time`,`last_update`) VALUES ("'.$clan_id.'", "'.$user['id'].'", "5", "'.time().'","'.(time() + ((60 * 60) * 24)).'")');
  
  header('location: /clan.php');
  
  }
  
  }

?>
<div class="menu"><center>
<form action="" method="POST">
			Введите название клана<div class="mb5"></div>
			<input type="text" size="23" maxlength="20" name="name" value=""/><div class="mb5"></div>
		
	<center><input class="menu" type="submit" value="Создать клан" /></div></div></div>
</form>
</center>

	<div class="menu"><li class="lft mb2">Стоимость создания клана <img src="https://static.mrush.mobi/view/image/icons/gold.png" class="icon"/>1000</li><li class="lft">Название клана должно быть от 5 до 20 символов</div>



<?
  
  

include_once $config['root'].'/protected/footermain.php';